rm(list=ls())
library(data.table)
library(bit64)
library(lubridate)
library(stringr)

load("/grpshares/hitsch_shapiro_ads/data/HMS/panelists.RData")

out <- panelists[panel_year %in% 2010:2014, 
                 .(household_code, panel_year, projection_factor, panelist_zip_code,
                   fips_state_code, fips_county_code, dma_code)]
saveRDS(out, file="~/Panelists.rds")
