rm(list = ls())
library(data.table)
library(bit64)
library(gridExtra)
library(ggplot2)
library(glmnet)
library(splines2)

# Output from 3-Predict-Q.R
input_dir <- "/project/hitsch_shapiro_ads/scripts/Workspace-Ningyin/RNR-edits/Splines/Regular-Store-No-splines-dma_code+week_end-Month-GRP/Predict_Q/"

input_files <- list.files(input_dir)

cvspline_Q_hat <- data.table()
for (f in input_files) {
  sub.DT <- readRDS(paste0(input_dir, f))
  
  sub.DT <- sub.DT[Adstock %% 5 == 0]
  
  cvspline_Q_hat <- rbind(cvspline_Q_hat,
                          sub.DT)
}

saveRDS(cvspline_Q_hat,
        file = "./Processed-Data/cvspline_Q_hat.rds")
